plugins {
    kotlin("jvm") version "2.1.10"
}

group = "ru.soune"
version = "1.0.0"

repositories {
    mavenCentral()
}

dependencies {
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.10.2")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core-jvm:1.10.2")
    implementation("io.insert-koin:koin-core:4.1.1")
    implementation("io.insert-koin:koin-core-jvm:4.1.1")
}

tasks.test {
    useJUnitPlatform()
}
kotlin {
    jvmToolchain(21)
}